Page MenuHomePhabricator

Sanitize newlines in local Wikidata description overrides
Closed, ResolvedPublic

Description

Per T195551: [BUG] Formatting in local descriptions is breaking use of descriptions (example: San Francisco article), newlines in local Wikidata description overrides cause problems for clients and should be removed.
More generally, we should probably ensure that anything that's invalid in a Wikidata description is removed from the local description as well.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterFilter newlines from {{SHORTDESC:}} content

Event Timeline

Tgr created this task.May 28 2018, 5:49 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptMay 28 2018, 5:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr claimed this task.Jun 4 2018, 10:15 AM
Tgr moved this task from To Do to Doing on the Product-Infrastructure-Team-Backlog (Kanban) board.

Change 437221 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/Wikibase@master] Filter newlines from {{SHORTDESC:}} content

https://gerrit.wikimedia.org/r/437221

Change 437221 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Filter newlines from {{SHORTDESC:}} content

https://gerrit.wikimedia.org/r/437221

Tgr closed this task as Resolved.Jun 18 2018, 4:22 PM
Vvjjkkii renamed this task from Sanitize newlines in local Wikidata description overrides to p4baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Tgr as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from p4baaaaaaa to Sanitize newlines in local Wikidata description overrides.Jul 2 2018, 3:31 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Tgr.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.